View Issue Details

IDProjectCategoryView StatusLast Update
0004423Slicer4Core: Renderingpublic2018-05-26 22:15
ReporterlassoanAssigned Tolassoan 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004423: VTK OpenGL2 Backend: Slow slice scrolling if volume rendering is enabled
Description

There appears to be order of magnitude (from approx.15 ms / frame to approx 150 ms / frame) degradation in slice scrolling performance when volume rendering is enabled (slice is not shown in 3d view).
See demo in this screencast: https://www.screencast.com/t/fJ9O9N2El
This was done on a mac with the latest nightly.

Problem is reproducible on Windows and using Qt5, too.

The problem was originally reported on the Slicer forum: https://discourse.slicer.org/t/major-slice-scrolling-performance-degradation-with-volume-rendering-on/938/4

Tagsvtk-opengl2

Relationships

related to 0004496 resolvedjcfr VTK OpenGL2 Backend: Reslicing speed can be very slow on Windows 

Activities

lassoan

lassoan

2018-05-26 22:15

developer   ~0015741

This has been fixed a couple of days ago. There were some unnecessary rendering requests.

Issue History

Date Modified Username Field Change
2017-08-25 09:45 lassoan New Issue
2017-08-25 09:45 lassoan Status new => assigned
2017-08-25 09:45 lassoan Assigned To => jcfr
2018-03-02 11:27 jcfr Summary Slow slice scrolling if volume rendering is enabled => OpenGL2: Slow slice scrolling if volume rendering is enabled
2018-03-02 11:27 jcfr Relationship added related to 0004496
2018-03-02 16:05 jcfr Tag Attached: vtk-opengl2
2018-03-03 00:56 jcfr Summary OpenGL2: Slow slice scrolling if volume rendering is enabled => VTK OpenGL2 Backend: Slow slice scrolling if volume rendering is enabled
2018-03-31 04:04 jcfr Description Updated View Revisions
2018-03-31 04:04 jcfr Description Updated View Revisions
2018-03-31 04:04 jcfr Description Updated View Revisions
2018-03-31 04:05 jcfr Description Updated View Revisions
2018-03-31 04:05 jcfr Description Updated View Revisions
2018-03-31 04:06 jcfr Description Updated View Revisions
2018-05-26 22:15 lassoan Assigned To jcfr => lassoan
2018-05-26 22:15 lassoan Status assigned => resolved
2018-05-26 22:15 lassoan Resolution open => fixed
2018-05-26 22:15 lassoan Fixed in Version => Slicer 4.9.0
2018-05-26 22:15 lassoan Note Added: 0015741